### Virtual Method

# Camel Service get_name

#### Declaration [src]

    gchar*
    get_name (
      CamelService* service,
      gboolean brief
    )

#### Description [src]

This gets the name of the service in a “friendly” (suitable for humans) form. If `brief` is `TRUE`, this should be a brief description such as for use in the folder tree. If `brief` is `FALSE`, it should be a more complete and mostly unambiguous description.

#### Parameters

`brief`

  Type: `gboolean`

  Whether or not to use a briefer form.

#### Return value

Type: `gchar*`

A description of the service which the caller must free.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.